#include<bits/stdc++.h>
using namespace std;

int a[200100], b[200100];

bool svi_jediniceA(int n){
   for(int i=0; i<n; i++){
      if(a[i]!=1)
         return false;
   }
   return true;
}

int maksB(int n){
   int maks=0;
   for(int i=0; i<n; i++)
      maks=max(maks, b[i]);
   return maks;
}

int main(){
   int n; cin>>n;
   for(int i=0; i<n; i++)
      cin>>a[i];
   for(int i=0; i<n; i++)
      cin>>b[i];

   int x0, y0, maks=0;
   if(svi_jediniceA(n))
      cout<<maksB(n);
   else{
      for(int l=0; l<n; l++){
         x0=a[l]; y0=b[l];
         maks=max(maks, x0*y0);
         for(int d=l+1; d<n; d++){
            x0=x0^a[d];
            y0=y0&b[d];
            maks=max(maks, x0*y0);
         }
      }
      cout<<maks;
   }
   return 0;
}